| Kea 3.0.2-git

test_to_element.h File Reference
`#include <cc/data.h>`
`#include <cc/cfg_to_element.h>`
`#include <gtest/gtest.h>`
`#include <string>`
`#include <type_traits>`
Include dependency graph for test_to_element.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::test

## Functions
std::string | isc::test::generateDiff (std::string left, std::string right)
| Return the difference between two strings.
template<typename Cfg>
void | isc::test::runToElementTest (const std::string &expected, const Cfg &cfg)
| Run a test using toElement() method with a string.
template<typename Cfg>
void | isc::test::runToElementTest (isc::data::ConstElementPtr expected, const Cfg &cfg)
| Run a test using toElement() method with an Element.
void | isc::test::assertEqWithDiff (ConstElementPtr const &a, ConstElementPtr const &b)
void | isc::test::assertEqWithDiff (ElementPtr const &a, ConstElementPtr const &b)
void | isc::test::expectEqWithDiff (ElementPtr const &a, ElementPtr const &b)
void | isc::test::expectEqWithDiff (isc::data::ConstElementPtr const &left, isc::data::ConstElementPtr const &right)
| Expect two element pointers to be equal.